org.apache.xmlbeans.impl.store

## Interface QNameFactory

    public interface QNameFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`QName` `getQName(char[] uriSrc, int uriPos, int uriCch, char[] localSrc, int localPos, int localCch)`
`QName` `getQName(char[] uriSrc, int uriPos, int uriCch, char[] localSrc, int localPos, int localCch, char[] prefixSrc, int prefixPos, int prefixCch)`
`QName` `getQName(String uri, String local)`
`QName` `getQName(String uri, String local, String prefix)`

### Method Detail

#### getQName

    QName getQName(String uri,
                   String local)

#### getQName

    QName getQName(String uri,
                   String local,
                   String prefix)

#### getQName

    QName getQName(char[] uriSrc,
                   int uriPos,
                   int uriCch,
                   char[] localSrc,
                   int localPos,
                   int localCch)

#### getQName

    QName getQName(char[] uriSrc,
                   int uriPos,
                   int uriCch,
                   char[] localSrc,
                   int localPos,
                   int localCch,
                   char[] prefixSrc,
                   int prefixPos,
                   int prefixCch)